Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Errore installazione ati-driver
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
lele_dj
Tux's lil' helper
Tux's lil' helper


Joined: 09 May 2007
Posts: 86

PostPosted: Wed May 09, 2007 7:09 pm    Post subject: Errore installazione ati-driver Reply with quote

Salve a tutti
ho un problema nell'installazione dei driver ati .... ecco la parte finale del log
Quote:
!!! ERROR: x11-drivers/ati-drivers-8.32.5 failed.
Call stack:
ebuild.sh, line 1614: Called dyn_compile
ebuild.sh, line 971: Called qa_call 'src_compile'
environment, line 4117: Called src_compile
ati-drivers-8.32.5.ebuild, line 157: Called linux-mod_src_compile
linux-mod.eclass, line 516: Called die

!!! Unable to make GCC_VER_MAJ=4 KVER=2.6.20-gentoo-r8 KDIR=/usr/src/linux kmod_build.
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/temp/build.log'.


ho provato a cercare in rete qualche soluzione al problema ma ho trovato solo pagine in tedesco o comunque straniere :( ...magari per un'utente esperto potrebbe essere un errore banale ma purtroppo sono un novizio di linux e non so come procedere ...

ringrazio in anticipò chi sarà in grado di aiutarmi a superare questo problema

Lele
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Wed May 09, 2007 7:27 pm    Post subject: Reply with quote

mi sa che serve qualche riga in più....
inoltre personalmente ti consiglierei di smascherare la versione in testing. non credo che quella vada bene con il kernel .20 e xorg 7.2
Back to top
View user's profile Send private message
CICaesar
n00b
n00b


Joined: 22 Jan 2006
Posts: 23

PostPosted: Wed May 09, 2007 7:44 pm    Post subject: Reply with quote

Ic3M4n wrote:

inoltre personalmente ti consiglierei di smascherare la versione in testing. non credo che quella vada bene con il kernel .20 e xorg 7.2

vero, vedi http://www.thinkwiki.org/wiki/Fglrx
Back to top
View user's profile Send private message
lele_dj
Tux's lil' helper
Tux's lil' helper


Joined: 09 May 2007
Posts: 86

PostPosted: Wed May 09, 2007 8:07 pm    Post subject: Reply with quote

Dunque, per il fatto di smaskerare la versione in testing, io lo farei anche ... ma come ho già detto sono un novello di gentoo e linux in generale a dire la verità ... quindi ci stò sbattendo parecchio la testa per capirci qualcosa ..... cerco di apprendere mano a mano che mi si presentano i problemi .... questo mi sembra un buon motivo per vedermi le guide che riguardano i mascked package ... avevo già dato una sbirciata a quella parte della documentazione ma non avevo approfondito

comunque...
ecco il Log quasi completo

Quote:
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3475: error: storage class specified for parameter 'drm_agp_t'
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3486: error: storage class specified for parameter 'firegl_agp_bridge'
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3486: error: parameter 'firegl_agp_bridge' is initialized
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3487: error: storage class specified for parameter 'firegl_pci_device'
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3487: error: parameter 'firegl_pci_device' is initialized
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3491: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3496: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3501: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3507: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3513: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3518: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'drm_agp'
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3527: error: expected declaration specifiers before ';' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3568: error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3677: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3703: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3711: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3736: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3750: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3756: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3764: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3772: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3780: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3789: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3820: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3831: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3837: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3903: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3909: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3980: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:3996: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:4002: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:4013: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:4034: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:4121: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:4163: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:4173: error: old-style parameter declarations in prototyped function definition
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:185: error: parameter name omitted
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:185: error: parameter name omitted
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:185: error: parameter name omitted
/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.c:4173: error: expected '{' at end of input
make[2]: *** [/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod/firegl_public.o] Error 1
make[1]: *** [_module_/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/work/common/lib/modules/fglrx/build_mod] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.20-gentoo-r8'
make: *** [kmod_build] Error 2

!!! ERROR: x11-drivers/ati-drivers-8.32.5 failed.
Call stack:
ebuild.sh, line 1614: Called dyn_compile
ebuild.sh, line 971: Called qa_call 'src_compile'
environment, line 4117: Called src_compile
ati-drivers-8.32.5.ebuild, line 157: Called linux-mod_src_compile
linux-mod.eclass, line 516: Called die

!!! Unable to make GCC_VER_MAJ=4 KVER=2.6.20-gentoo-r8 KDIR=/usr/src/linux kmod_build.
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/x11-drivers/ati-drivers-8.32.5/temp/build.log'.


Last edited by lele_dj on Wed May 09, 2007 8:17 pm; edited 1 time in total
Back to top
View user's profile Send private message
comio
Advocate
Advocate


Joined: 03 Jul 2003
Posts: 2191
Location: Taranto

PostPosted: Wed May 09, 2007 8:09 pm    Post subject: Reply with quote

allora... sti sto sta l'accento non ci va.

Poi, esegui questo:

Code:

# mkdir /etc/portage
# echo "x11-drivers/ati-drivers" >> /etc/portage/package.unmask


poi, fossi in te farei un giro sulle guide.

ciao

luigi

lele_dj wrote:
Dunque, per il fatto di smaskerare la versione in testing, io lo farei anche ... ma come ho già detto sono un novello di gentoo e linux in generale a dire la verità ... quindi ci stò sbattendo parecchio la testa per capirci qualcosa ..... cerco di apprendere mano a mano che mi si presentano i problemi .... questo mi sembra un buon motivo per vedermi le guide che riguardano i mascked package ... avevo già dato una sbirciata a quella parte della documentazione ma non avevo approfondito

comunque...
ecco il Log completo

_________________
RTFM!!!!

e

http://www.comio.it
:)
Back to top
View user's profile Send private message
lele_dj
Tux's lil' helper
Tux's lil' helper


Joined: 09 May 2007
Posts: 86

PostPosted: Wed May 09, 2007 8:11 pm    Post subject: Reply with quote

EDIT

Last edited by lele_dj on Wed May 09, 2007 8:16 pm; edited 1 time in total
Back to top
View user's profile Send private message
comio
Advocate
Advocate


Joined: 03 Jul 2003
Posts: 2191
Location: Taranto

PostPosted: Wed May 09, 2007 8:12 pm    Post subject: Reply with quote

edita il post e cancella quel log disumano :D (mantieni qualche riga prima della fine)

ciao
_________________
RTFM!!!!

e

http://www.comio.it
:)
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Wed May 09, 2007 8:46 pm    Post subject: Reply with quote

@comio: i driver ati non sono hard masked.

per mettere l'ultima versione dei driver ati devi editare il file /etc/portage/package.keywords ed inserire il nome del pacchetto in uno di questi modi:
Code:
x11-drivers/ati-drivers
=x11-drivers/ati-drivers-8.35.5
>=x11-drivers/ati-drivers-8.35.5-versione

dipende da quello che vuoi fare, io per iniziare ti consiglierei il secondo metodo che è il più safe ma anche quello più complesso da mantenere in futuro, smascheri pacchetto e versione, con gli altri smascheri tutte le versioni di quel pacchetto.

PS: non avevo visto il numero dei post da te fatti, benvenuto ;)
Back to top
View user's profile Send private message
lele_dj
Tux's lil' helper
Tux's lil' helper


Joined: 09 May 2007
Posts: 86

PostPosted: Wed May 09, 2007 8:55 pm    Post subject: Reply with quote

Ic3M4n wrote:
@comio: i driver ati non sono hard masked.

per mettere l'ultima versione dei driver ati devi editare il file /etc/portage/package.keywords ed inserire il nome del pacchetto in uno di questi modi:
Code:
x11-drivers/ati-drivers
=x11-drivers/ati-drivers-8.35.5
>=x11-drivers/ati-drivers-8.35.5-versione

dipende da quello che vuoi fare, io per iniziare ti consiglierei il secondo metodo che è il più safe ma anche quello più complesso da mantenere in futuro, smascheri pacchetto e versione, con gli altri smascheri tutte le versioni di quel pacchetto.

PS: non avevo visto il numero dei post da te fatti, benvenuto ;)


Grazie mille Ic3M4n
in effetti come mi ha suggerito comio non funziona e stavo facendo proprio come hai detto tu .... seguendo questa guida: http://www.gentoo.it/tips/prontuario.html

ora provo :wink:
Back to top
View user's profile Send private message
lele_dj
Tux's lil' helper
Tux's lil' helper


Joined: 09 May 2007
Posts: 86

PostPosted: Thu May 10, 2007 8:19 pm    Post subject: Reply with quote

Niente da fare ... :(

Quote:
>>> Emerging (1 of 1) x11-drivers/ati-drivers-8.35.5 to /
* ati-driver-installer-8.35.5-x86.x86_64.run MD5 ;-) ... [ ok ] * ati-driver-installer-8.35.5-x86.x86_64.run RMD160 ;-) ... [ ok ] * ati-driver-installer-8.35.5-x86.x86_64.run SHA1 ;-) ... [ ok ] * ati-driver-installer-8.35.5-x86.x86_64.run SHA256 ;-) ... [ ok ] * ati-driver-installer-8.35.5-x86.x86_64.run size ;-) ... [ ok ] * checking ebuild checksums ;-) ... [ ok ] * checking auxfile checksums ;-) ... [ ok ] * checking miscfile checksums ;-) ... [ ok ] * checking ati-driver-installer-8.35.5-x86.x86_64.run ;-) ... [ ok ] * Determining the location of the kernel source code
* Found kernel source directory:
* /usr/src/linux
* Found sources for kernel version:
* 2.6.20-gentoo-r8
>>> Unpacking source...
>>> Unpacking ati-driver-installer-8.35.5-x86.x86_64.run to /var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work
* Applying ati-drivers-8.35.5-2.6.19.patch ... [ ok ] * Applying ati-drivers-2.6.20.patch ... [ ok ] * Applying ati-drivers-8.35.5-2.6.20.patch ... [ ok ] * Converting 2.6.x/Makefile to use M= instead of SUBDIRS= ... [ ok ]>>> Unpacking ./../common/usr/src/ati/fglrx_panel_sources.tgz to /var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/panel
>>> Unpacking ./../common/usr/src/ati/fglrx_sample_source.tgz to /var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/extra
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work ...
* Preparing fglrx module
make -C /usr/src/linux M=/var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory `/usr/src/linux-2.6.20-gentoo-r8'
CC [M] /var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
In file included from /var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/drm_proc.h:41,
from /var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:423:
/var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/drmP.h:126:1: warning: "DRM_DEBUG_CODE" redefined
/var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:179:1: warning: this is the location of the previous definition
/var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:541: warning: initialization from incompatible pointer type
/var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function 'firegl_stub_open':
/var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:664: warning: assignment discards qualifiers from pointer target type
/var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function '__ke_request_irq':
/var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2742: warning: passing argument 2 of 'request_irq' from incompatible pointer type
/var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function '__ke_smp_call_function':
/var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:4182: warning: passing argument 1 of 'smp_call_function' from incompatible pointer type
/var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: At top level:
/var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:4996: warning: 'kmem_cache_t' is deprecated
/var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function 'KAS_ExecuteAtLevel':
/var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:4855: warning: 'flags' may be used uninitialized in this function
LD [M] /var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/fglrx.o
Building modules, stage 2.
MODPOST 1 modules
CC /var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/fglrx.mod.o
LD [M] /var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/fglrx.ko
make[1]: Leaving directory `/usr/src/linux-2.6.20-gentoo-r8'
* Building fgl_glxgears
* Building fglrx_gamma lib
fglrx_gamma.c:23:35: error: X11/extensions/record.h: No such file or directory

!!! ERROR: x11-drivers/ati-drivers-8.35.5 failed.
Call stack:
ebuild.sh, line 1614: Called dyn_compile
ebuild.sh, line 971: Called qa_call 'src_compile'
environment, line 4070: Called src_compile
ati-drivers-8.35.5.ebuild, line 191: Called die

!!! fglrx_gamma lib build failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/x11-drivers/ati-drivers-8.35.5/temp/build.log'.


che dite ... ci devo rinunciare?
Back to top
View user's profile Send private message
falko
Apprentice
Apprentice


Joined: 03 Dec 2004
Posts: 223
Location: Rovereto (TN) Italy

PostPosted: Sat May 12, 2007 11:29 am    Post subject: Reply with quote

Dopo essere passato da xorg 7.1 a 7.2 ho tuo stesso problema. Volevo riemergere i driver perchè ho dei piccoli problemi e soprattutto non sono mai riuscito a far funzionare l'accellerazione grafica.Tuttavia non avendo a disposizione una connessione a banda larga in questo momento proverò a scaricare le versioni mascherate lunedì, quindi ti farò sapere se sono riuscito a risolvere il problema.
cia
_________________
Io non sarò mai nessuno ma... nessuno sarà mai come me. (Jim Morrison)

A ciacere no se sgonfa done

Gentoo on: Lenovo R500
Back to top
View user's profile Send private message
makaveli87
Guru
Guru


Joined: 22 Aug 2005
Posts: 311
Location: Italy

PostPosted: Sat May 12, 2007 7:06 pm    Post subject: Reply with quote

Problema simile.

A differenza loro però io non posso smascherare pacchetti in testing...
Avendo una Radeon 8500 posso usare fino al 8.28.8.

PS:
I driver open funzionano ma volevo usare i closed per poter sfruttare l'uscita s-video
_________________
GoogleTalk: romanovic@gmail.com
Back to top
View user's profile Send private message
xveilsidex
Guru
Guru


Joined: 27 Dec 2005
Posts: 370
Location: Bari

PostPosted: Sat May 12, 2007 9:24 pm    Post subject: Reply with quote

quell'errore mi è capitato con il passaggio da xorg 7.1 a 7.2 e i driver stabili 8.32.5 ho dovuto smaschera i driver 8.35.5
p.s. ho un ati su laptop x1400
Back to top
View user's profile Send private message
falko
Apprentice
Apprentice


Joined: 03 Dec 2004
Posts: 223
Location: Rovereto (TN) Italy

PostPosted: Tue May 15, 2007 10:47 am    Post subject: Reply with quote

Stesso identico problema con i driver 8.35.5

Code:

  LD [M]  /var/tmp/portage/x11-drivers/ati-drivers-8.35.5/work/common/lib/modules/fglrx/build_mod/2.6.x/fglrx.o
  Building modules, stage 2.
  MODPOST 1 modules
FATAL: modpost: GPL-incompatible module fglrx.ko uses GPL-only symbol 'paravirt_ops'
make[2]: *** [__modpost] Error 1
make[1]: *** [modules] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.20-gentoo-r6'
make: *** [kmod_build] Error 2

!!! ERROR: x11-drivers/ati-drivers-8.35.5 failed.
Call stack:
  ebuild.sh, line 1614:   Called dyn_compile
  ebuild.sh, line 971:   Called qa_call 'src_compile'
  environment, line 4078:   Called src_compile
  ati-drivers-8.35.5.ebuild, line 173:   Called linux-mod_src_compile
  linux-mod.eclass, line 516:   Called die

!!! Unable to make  GCC_VER_MAJ=4 KVER=2.6.20-gentoo-r6 KDIR=/usr/src/linux kmod_build.
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/x11-drivers/ati-drivers-8.35.5/temp/build.log'.

_________________
Io non sarò mai nessuno ma... nessuno sarà mai come me. (Jim Morrison)

A ciacere no se sgonfa done

Gentoo on: Lenovo R500
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum